# This file created by conda-build 3.16.2
# ------------------------------------------------

package:
    name: libxgboost
    version: '0.80'
source:
    git_rev: 6852d0afd5d7dde7613bb9b9c1fffab1ee60cfd6
    git_url: https://github.com/dmlc/xgboost
    patches:
        - 0001-conda-Unbundle-libxgboost.-dll-dylib-so.patch
        - 0002-Fix-R-package-PKGROOT.patch
        - 0003-Fix-R-package-mingw-w64-compiler-flags-remove-m64.patch
        - 0004-Fix-configure-check-for-OpenMP-on-macOS.patch
        - 0005-Add-ADD_-FLAGS-to-end-of-commandlines.patch
build:
    noarch: false
    script: install-libxgboost.sh
    string: h6cbba54_0
requirements:
    build:
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 5.4.0 had2808c_24
        - ca-certificates 2018.03.07 0
        - expat 2.2.6 he6710b0_0
        - gcc_impl_linux-64 5.4.0 habb00fd_3
        - gcc_linux-64 5.4.0 h98af8de_24
        - git 2.19.1 pl526hacde149_0
        - gxx_impl_linux-64 5.4.0 hdf63c60_3
        - gxx_linux-64 5.4.0 h98af8de_24
        - libcurl 7.61.1 h20c2e04_0
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - make 4.2.1 h1bed415_1
        - openssl 1.1.1 h7b6447c_0
        - perl 5.26.2 h14c3975_0
        - tk 8.6.8 hbc83047_0
        - zlib 1.2.11 ha838bed_2
    host:
        - cudatoolkit 9.2 0
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
    run:
        - cudatoolkit 9.2*
        - libgcc-ng >=5.4.0
        - libstdcxx-ng >=5.4.0
extra:
    copy_test_source_files: true
    final: true
